Bug 488108 - Review Request: django-tagging - A generic tagging application for Django projects
Review Request: django-tagging - A generic tagging application for Django pro...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 488151 488963
  Show dependency treegraph
 
Reported: 2009-03-02 13:13 EST by Ignacio Vazquez-Abrams
Modified: 2009-03-23 01:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-23 01:06:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2009-03-02 13:13:43 EST
Spec URL: http://ivazquez.fedorapeople.org/packages/django-tagging/django-tagging.spec
SRPM URL: http://ivazquez.fedorapeople.org/packages/django-tagging/django-tagging-0.3-1.20080217svnr154.src.rpm
Description: A generic tagging application for Django projects, which allows association of a number of tags with any Model instance and makes retrieval of tags simple.
Comment 1 Parag AN(पराग) 2009-03-03 03:05:06 EST
Review:
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1216130
+ rpmlint is silent for SRPM and for RPM.
+ files in source tarball match source packaged in srpm but no way to verify md5sum as source is svn checkout.
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ egg file generated from source.

Suggestions:
1) I will suggest to use 
%doc CONTRIBUTORS.txt LICENSE.txt docs/*
will make not to create docs named directory
2) Change %define to %global

APPROVED.
Comment 2 Ignacio Vazquez-Abrams 2009-03-03 04:37:03 EST
Package Name: django-tagging
Short Description: A generic tagging application for Django projects
Owners: ivazquez
Branches: F-9 F-10 EL-5
Comment 3 Kevin Fenzi 2009-03-03 15:44:18 EST
cvs done.
Comment 4 Parag AN(पराग) 2009-03-23 00:55:48 EDT
If this package is built for all requested branches then can we have this review closed now?

Note You need to log in before you can comment on or make changes to this bug.